export declare const tagKeys: {
    [key: string]: string;
};
export declare const flagKeys: {
    [key: string]: string;
};
declare const taggingUtils: {
    partnerId: any;
    reset(): void;
    setPartnerId(partnerId: string | null): void;
    getPartnerId(): string;
    generateCreationTag(): string;
    generateUpdateTag(): string;
    generateAppDataFlagTag(): string;
    generateFhirVersionTag(): string;
    generateTagsFromFhir(fhirObject: Record<string, any>): string[];
    generateCustomTags(annotationList?: string[]): string[];
    buildTag(key: string, value: string): string;
    getTagValueFromList(tagList: string[], tagKey: string): string;
    getValue(tag: string): string;
    getAnnotations(tagList: any): any;
};
export default taggingUtils;
